package gob.sv.isna.modelo;
// Generated 25/08/2016 02:27:39 AM by Hibernate Tools 5.1.0.Beta1

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Rol generated by hbm2java
 */
@Entity
@Table(name = "ROL", schema = "public")
public class Rol implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "tbrol_idrol_seq")
    @javax.persistence.SequenceGenerator(
            name = "tbrol_idrol_seq",
            sequenceName = "tbrol_idrol_seq",
            allocationSize = 1
    )
    @Column(name = "id_rol", nullable = false)
    private int id;
        
    @Column(name="descripcion")
    private String descripcion;
    
    @OneToMany(fetch=FetchType.LAZY, mappedBy="rol")
    private Set<Usuario> usuarios = new HashSet<Usuario>(0);

    public Rol() {
    }

    public Rol(int id, String descripcion) {
        this.id = id;
        this.descripcion = descripcion;
    }

    public Rol(int id, String descripcion, Set usuarios) {
        this.id = id;
        this.descripcion = descripcion;
        this.usuarios = usuarios;
    }

    public int getId() {
        return this.id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getDescripcion() {
        return this.descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public Set getUsuarios() {
        return this.usuarios;
    }

    public void setUsuarios(Set usuarios) {
        this.usuarios = usuarios;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + id;
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        Rol other = (Rol) obj;
        if (id != other.id) {
            return false;
        }
        return true;
    }

}
